harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject [classlib][awt] X11 libs
Date Wed, 29 Nov 2006 10:47:54 GMT
Just pulling out Mark's recommendation and changing the subject to get
the right people's attention.

Mark Hindess wrote:
> On 29 November 2006 at 9:24, Tim Ellison <t.p.ellison@gmail.com> wrote:
>> Mark Hindess wrote:
>>> Actually it's another .so problem.  This time does actually give the 
>>> meaningful error:
>>>
>>>   Caused by: java.lang.Throwable:
>>>     java.lang.UnsatisfiedLinkError: Cannot load libXtst.so library
<snip>
>>> I've installed the development package on this machine so the problem
>>> should disappear, but this really should be fixed in the source.
>> Meaning? it should try to load the versioned names too?
> 
> It should try to load versioned names first.  We know classlib works
> with X11R6 but I don't know if anyone has tested it with X11R4/5/7?
> We should try to load libXtst.so.6 (and libXtst.so.7 if that has been
> tested?) and then libXtst.so.  It is clear from bug reports that (at
> least) Debian and Ubuntu don't consider the lack of unversioned .so
> files in runtime packages to be an error.  So it is down to us to make
> it work for the common case - i.e. only versioned .so file present.

Sounds reasonable to me -- unless there are any objections I'll make the
change.

Anyone tested with R4/5/7 ?  Do we expect them to work?

Regards,
Tim

-- 

Tim Ellison (t.p.ellison@gmail.com)
IBM Java technology centre, UK.

Mime
View raw message